IS
InsightStream
Reference

API Overview

The InsightStream API is organized around REST. Our API has predictable resource-oriented URLs, accepts JSON-encoded request bodies, returns JSON-encoded responses, and uses standard HTTP response codes, authentication, and verbs.

Base URL

All API requests should be made to the following base URL:

https://api.insightstream.io/v1

Authentication

The InsightStream API uses API keys to authenticate requests. You can view and manage your API keys in the InsightStream Dashboard.

# Authenticate by passing the token in the Authorization header
curl https://api.insightstream.io/v1/assets \
  -H "Authorization: Bearer YOUR_API_KEY"

Rate Limits

By default, we allow 100 requests per second per account. If you need higher limits for your production application, please contact our support team.

Updated on Dec 28, 2025
Was this page helpful?